const path = require('path');
const webpack = require('webpack');

function resolveRoot(dir) {
  return path.join(__dirname, '..', dir);
}

module.exports = {
  entry: {
    vendor: ['babel-polyfill', 'react', 'react-dom', 'react-router-dom', 'antd-mobile', 'moment'],
    app: resolveRoot('src/index.js')
  },
  // , 'react', 'moment', 'antd-mobile', 'react-photoswipe'
  output: {
    path: resolveRoot('dist')
  },
  plugins: [new webpack.NamedModulesPlugin()],
  resolve: {
    extensions: ['.js', '.json', '.jsx', '.vue', '.scss', '.less'],
    alias: {
      '@utils': resolveRoot('src/utils/index.js'),
      '@static': resolveRoot('src/static'),
      '@': resolveRoot('src')
    }
  }
};
