import app from '../static/js/native';
export const ENV = process.env.NODE_ENV;
export const isBrowser = process.browser;
export const UA = isBrowser ? navigator.userAgent : '';
export const isIOS = UA && /iphone|ipad|ipod|ios/.test(UA.toLowerCase());
export const isAndroid = UA.indexOf('Android') > -1 || UA.indexOf('Adr') > -1; //android终端
export const isWX = /MicroMessenger/.test(UA);
export const TERMINAL = isIOS ? 'IOS' : 'Android';
export function getUrlParam(name, _location) {
  let reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)'); // 构造一个含有目标参数的正则表达式对象
  let r;

  if (_location) {
    if (!_location.includes('?')) {
      return null;
    }
    let loc = _location.split('?');
    if (loc.length > 1) {
      _location = loc[1];
    } else {
      return null;
    }
    r = _location.match(reg); // 匹配目标参数
  } else if (location.search) {
    r = location.search.substr(1).match(reg); // 匹配目标参数
  } else {
    return null;
  }

  if (r != null) {
    return decodeURIComponent(r[2]);
  }
  return null; // 返回参数值
}
export function getParam(_location) {
  let loc = _location;
  let lastStr = loc.substr(loc.lastIndexOf('/') + 1);
  return lastStr.includes('?') ? lastStr.split('?')[0] : lastStr;
}

export function getImgNaturalDimensions(imgSrc, callback) {
  var nWidth, nHeight;
  // if (img.naturalWidth) { // 现代浏览器
  //     nWidth = img.naturalWidth
  //     nHeight = img.naturalHeight
  // } else { // IE6/7/8
  const image = new Image();
  image.src = imgSrc;
  image.onload = () => {
    callback(image.width, image.height);
  };
  // }
  return [nWidth, nHeight];
}
export function linkTo(url) {
  location.href = url;
  // history.pushState(null, 'hello', `${location.origin}${url}`);
  // window.webkit.messageHandlers.MModel.postMessage({
  //   url: 'http',
  //   cmd: {
  //     action_name: '',
  //     params: { url: 'https://testh2.yidianling.com/new/user/train?uid=13089811&ts=1559025371&sign=39549b2a339e5a56bbb8a1d2bb594d67&accessToken=d86ec45b5fcf9cd1a10dfaa17b527d67MTkwNTIwv=2.3.00&uid=13089811&ts=1559025371&sign=fe3e41e54912f6e5d366b346eaccfd2d&accessToken=d86ec45b5fcf9cd1a10dfaa17b527d67MTkwNTIw' }
  //   }
  // });
  // app().goPage(`${location.origin}${url}`);
  // app().gotoOCChat('壹点零', `${location.origin}${url}`);
}

export function setTitle(title) {
  document.title = title;
  if (navigator.userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/)) {
    const hackIframe = document.createElement('iframe');
    hackIframe.style.display = 'none';
    hackIframe.src = '/favicon.ico?r=' + Math.random();
    document.body.appendChild(hackIframe);
    setTimeout(_ => {
      document.body.removeChild(hackIframe);
    }, 300);
  }
}
